Package org.apache.qpid.proton.amqp

# Class UnsignedInteger

java.lang.Object
java.lang.Number
org.apache.qpid.proton.amqp.UnsignedInteger

All Implemented Interfaces:
  `Serializable`, `Comparable<UnsignedInteger>`

public final class UnsignedInteger extends Number implements Comparable<UnsignedInteger>

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final UnsignedInteger`
`MAX_VALUE`
`static final UnsignedInteger`
`ONE`
`static final UnsignedInteger`
`ZERO`

## Constructor Summary

Constructors
Constructor
Description
`UnsignedInteger(int underlying)`

## Method Summary

Modifier and Type
Method
Description
`UnsignedInteger`
`add(UnsignedInteger i)`
`int`
`compareTo(UnsignedInteger o)`
`double`
`doubleValue()`
`boolean`
`equals(Object o)`
`float`
`floatValue()`
`int`
`hashCode()`
`int`
`intValue()`
`long`
`longValue()`
`UnsignedInteger`
`subtract(UnsignedInteger i)`
`String`
`toString()`
`static UnsignedInteger`
`valueOf(int underlying)`
`static UnsignedInteger`
`valueOf(long longVal)`
`static UnsignedInteger`
`valueOf(String value)`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### ZERO

public static final UnsignedInteger ZERO

### ONE

public static final UnsignedInteger ONE

### MAX_VALUE

public static final UnsignedInteger MAX_VALUE

## Constructor Details

### UnsignedInteger

public UnsignedInteger(int underlying)

## Method Details

### intValue

public int intValue()

Specified by:
  `intValue` in class `Number`

### longValue

public long longValue()

Specified by:
  `longValue` in class `Number`

### floatValue

public float floatValue()

Specified by:
  `floatValue` in class `Number`

### doubleValue

public double doubleValue()

Specified by:
  `doubleValue` in class `Number`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### compareTo

public int compareTo(UnsignedInteger o)

Specified by:
  `compareTo` in interface `Comparable<UnsignedInteger>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### valueOf

public static UnsignedInteger valueOf(int underlying)

### add

public UnsignedInteger add(UnsignedInteger i)

### subtract

public UnsignedInteger subtract(UnsignedInteger i)

### valueOf

public static UnsignedInteger valueOf(String value)

### valueOf

public static UnsignedInteger valueOf(long longVal)